Author Topic: suggest to compile on Ubuntu Lunar  (Read 2922 times)

Offline ccdric

  • Multiple posting newcomer
  • *
  • Posts: 20
suggest to compile on Ubuntu Lunar
« on: May 05, 2023, 08:28:29 am »
Hi,
I had to modify debian/setup_controle.sh to compile for Lunar :

Code
 --- trunk/debian/setup_control.sh	2023-05-05 08:14:04.648614399 +0200
+++ new/debian/setup_control.sh 2023-05-05 08:15:30.353730276 +0200
@@ -9,14 +9,21 @@
 # running system. Pass "detect" as first argument if you want to force an
 # explicit detection.
 
+ID=Debian
+
 if [ "$#" -ne 1 ] || [ -z "${1##*detect*}" ]; then
     echo "Doing version detection"
-    version=`cat /etc/debian_version`
+    [ -f /etc/os-release ] && . /etc/os-release
+    if [ -n "$VERSION_CODENAME" ]; then
+        version=$VERSION_CODENAME
+    else
+        version=`cat /etc/debian_version`
+    fi
 else
     version=$1
 fi
 
-echo "Debian version: $version"
+echo "$ID version: $version"
 
 if [ -z "${version##*squeeze*}" ] || \
    [ -z "${version##*wheezy*}" ] || \
@@ -27,7 +34,11 @@
     echo "Distro is matching wxGTK 3.0 + GTK2"
     CB_WXGTK_DEPS=libwxgtk3.0-dev
     CB_GTK_DEPS=libgtk2.0-dev
-else
+elif [ -z "${version##*lunar*}" ]; then
+    echo "Distro is matching wxGTK 3.2 + GTK3"
+    CB_WXGTK_DEPS=libwxgtk3.2-dev
+    CB_GTK_DEPS=libgtk-3-dev
+else
     echo "Distro is matching wxGTK 3.0 + GTK3"
     CB_WXGTK_DEPS=libwxgtk3.0-gtk3-dev
     CB_GTK_DEPS=libgtk-3-dev

hop this help